summaryrefslogtreecommitdiffstats
path: root/bin/common-functions.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-12-10 13:13:01 +0100
committerHolger Levsen <holger@layer-acht.org>2015-12-10 13:13:01 +0100
commit8e2e7367d16f6f9da30bf9c465084b83b4422104 (patch)
tree882ef94cff326fb9921d2030a8753c629912ad9d /bin/common-functions.sh
parente247e1d23f2241f048a55b670e9243cbc6915056 (diff)
downloadjenkins.debian.net-8e2e7367d16f6f9da30bf9c465084b83b4422104.tar.xz
reproducible archlinux: s#arch#archlinux# everywhere, update TODO
Diffstat (limited to 'bin/common-functions.sh')
-rwxr-xr-xbin/common-functions.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/common-functions.sh b/bin/common-functions.sh
index fb79dc15..d828ce93 100755
--- a/bin/common-functions.sh
+++ b/bin/common-functions.sh
@@ -141,14 +141,14 @@ cleanup_schroot_sessions() {
for loop in $(seq 0 40) ; do
# first, check if no process using "schroot" is running, if thats the case, loop through all schroot sessions:
# arch sessions are ignored, because they are handled properly
- pgrep -f "schroot --directory" || for i in $(schroot --all-sessions -l |grep -v "session:arch"||true) ; do
+ pgrep -f "schroot --directory" || for i in $(schroot --all-sessions -l |grep -v "session:archlinux"||true) ; do
# then, check that schroot is still not run, and then delete the session
if [ -z $i ] ; then
continue
fi
pgrep -f "schroot --directory" || schroot -e -c $i
done
- RESULT=$(schroot --all-sessions -l|grep -v "session:arch"||true)
+ RESULT=$(schroot --all-sessions -l|grep -v "session:archlinux"||true)
if [ -z "$RESULT" ] ; then
echo "No schroot sessions in use atm..."
echo